Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeContext.EventListenerMememto

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.EventListenerMememto

Enclosing class:
  BridgeContext

protected static class BridgeContext.EventListenerMememto
extends java.lang.Object

A class used to store an EventListener added to the DOM.

Field Summary
`java.lang.String` | `eventType`
`java.lang.ref.SoftReference` | `listener`
`java.lang.ref.SoftReference` | `target`
`boolean` | `useCapture`

Constructor Summary
`BridgeContext.EventListenerMememto(org.w3c.dom.events.EventTarget t, java.lang.String s, org.w3c.dom.events.EventListener l, boolean b, BridgeContext ctx)`

Method Summary
`java.lang.String` | `getEventType()`
`org.w3c.dom.events.EventListener` | `getListener()`
`org.w3c.dom.events.EventTarget` | `getTarget()`
`boolean` | `getUseCapture()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public java.lang.ref.SoftReference target

### listener

    public java.lang.ref.SoftReference listener

### useCapture

    public boolean useCapture

### eventType

    public java.lang.String eventType

Constructor Detail

### BridgeContext.EventListenerMememto

    public BridgeContext.EventListenerMememto(org.w3c.dom.events.EventTarget t,
                                              java.lang.String s,
                                              org.w3c.dom.events.EventListener l,
                                              boolean b,
                                              BridgeContext ctx)

Method Detail

### getListener

    public org.w3c.dom.events.EventListener getListener()

### getTarget

    public org.w3c.dom.events.EventTarget getTarget()

### getUseCapture

    public boolean getUseCapture()

### getEventType

    public java.lang.String getEventType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.